
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef VELODYNE_PRINT_H
#define VELODYNE_PRINT_H

#include "genom/printScan.h"

/* Structures definies par d'autres modules */

#include "server/genPosPrint.h"

#include "server/pomPrint.h"


#include "velodynePosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
extern void print_struct_VELODYNE_TARGETTRACKING_POSTER_STR ( FILE *out,
     struct VELODYNE_TARGETTRACKING_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_VELODYNE_TARGETRELATIVEPOSITION_POSTER_STR ( FILE *out,
     struct VELODYNE_TARGETRELATIVEPOSITION_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_VELODYNE_TARGETABSOLUTEPOSITION_POSTER_STR ( FILE *out,
     struct VELODYNE_TARGETABSOLUTEPOSITION_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_VELODYNE_THREEDIMAGE_POSTER_STR ( FILE *out,
     struct VELODYNE_THREEDIMAGE_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_VELODYNE_STR ( FILE *out,
     struct VELODYNE_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_velodyneOneShotParams ( FILE *out,
     struct velodyneOneShotParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_velodyneSaveParams ( FILE *out,
     struct velodyneSaveParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_velodyneTargetTrackingFileOutputParams ( FILE *out,
     struct velodyneTargetTrackingFileOutputParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_velodyneTargetTrackingParams ( FILE *out,
     struct velodyneTargetTrackingParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_velodyneTargetDetectionFileOutput ( FILE *out,
     struct velodyneTargetDetectionFileOutput *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_velodyneTargetDetectionParams ( FILE *out,
     struct velodyneTargetDetectionParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_velodyneTargetParams ( FILE *out,
     struct velodyneTargetParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_velodyneVerbosity ( FILE *out,
     enum velodyneVerbosity *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_velodyneFOVRemoveLineParams ( FILE *out,
     struct velodyneFOVRemoveLineParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_velodyneFOVRemoveHeadingSectorParams ( FILE *out,
     struct velodyneFOVRemoveHeadingSectorParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_velodyneInitParams ( FILE *out,
     struct velodyneInitParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_velodyneModel ( FILE *out,
     enum velodyneModel *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_velodyneMode ( FILE *out,
     enum velodyneMode *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_velodyneBoolean ( FILE *out,
     enum velodyneBoolean *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_velodyne3DImage ( FILE *out,
     struct velodyne3DImage *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_velodyne3DPoint ( FILE *out,
     struct velodyne3DPoint *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_velodyne3DPointStatus ( FILE *out,
     enum velodyne3DPointStatus *x,
     int indent, int nDim, int *dims, FILE *in );

/* ======================== PRINT DES TYPEDEF ============================= */

extern void print_velodyne3DPointStatus ( FILE *out,
     velodyne3DPointStatus *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_velodyne3DPoint ( FILE *out,
     velodyne3DPoint *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_velodyne3DImage ( FILE *out,
     velodyne3DImage *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_velodyneBoolean ( FILE *out,
     velodyneBoolean *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_velodyneMode ( FILE *out,
     velodyneMode *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_velodyneModel ( FILE *out,
     velodyneModel *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_velodyneInitParams ( FILE *out,
     velodyneInitParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_velodyneFOVRemoveHeadingSectorParams ( FILE *out,
     velodyneFOVRemoveHeadingSectorParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_velodyneFOVRemoveLineParams ( FILE *out,
     velodyneFOVRemoveLineParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_velodyneVerbosity ( FILE *out,
     velodyneVerbosity *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_velodyneTargetParams ( FILE *out,
     velodyneTargetParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_velodyneTargetDetectionParams ( FILE *out,
     velodyneTargetDetectionParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_velodyneTargetDetectionFileOutput ( FILE *out,
     velodyneTargetDetectionFileOutput *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_velodyneTargetTrackingParams ( FILE *out,
     velodyneTargetTrackingParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_velodyneTargetTrackingFileOutputParams ( FILE *out,
     velodyneTargetTrackingFileOutputParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_velodyneSaveParams ( FILE *out,
     velodyneSaveParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_velodyneOneShotParams ( FILE *out,
     velodyneOneShotParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_VELODYNE_STR ( FILE *out,
     VELODYNE_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_VELODYNE_THREEDIMAGE_POSTER_STR ( FILE *out,
     VELODYNE_THREEDIMAGE_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_VELODYNE_TARGETABSOLUTEPOSITION_POSTER_STR ( FILE *out,
     VELODYNE_TARGETABSOLUTEPOSITION_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_VELODYNE_TARGETRELATIVEPOSITION_POSTER_STR ( FILE *out,
     VELODYNE_TARGETRELATIVEPOSITION_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_VELODYNE_TARGETTRACKING_POSTER_STR ( FILE *out,
     VELODYNE_TARGETTRACKING_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
#ifdef __cplusplus
}
#endif

#endif /* VELODYNE_PRINT_H */

